# Class XmrAddressEntry

#### Hierarchy

- unknown
  - XmrAddressEntry

- Defined in src/protobuf/pb_pb.d.ts:5749
- Defined in src/protobuf/pb_pb.d.ts:5773

#####
Index

### Constructors

constructor

### Methods

getAddressString
getCoinLockedInMultiSig
getContext
getOfferId
getSubaddressIndex
serializeBinary
setAddressString
setCoinLockedInMultiSig
setContext
setOfferId
setSubaddressIndex
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new XmrAddressEntry(): XmrAddressEntry

- #### Returns XmrAddressEntry

  Inherited from jspb.Message.constructor

## Methods

### getAddressString

- getAddressString(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5753

### getCoinLockedInMultiSig

- getCoinLockedInMultiSig(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:5762

### getContext

- getContext(): XmrAddressEntry.Context

- #### Returns XmrAddressEntry.Context

  - Defined in src/protobuf/pb_pb.d.ts:5759

### getOfferId

- getOfferId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5756

### getSubaddressIndex

- getSubaddressIndex(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:5750

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5765

### setAddressString

- setAddressString(value: string): XmrAddressEntry

- #### Parameters

  - ##### value: string

  #### Returns XmrAddressEntry

  - Defined in src/protobuf/pb_pb.d.ts:5754

### setCoinLockedInMultiSig

- setCoinLockedInMultiSig(value: number): XmrAddressEntry

- #### Parameters

  - ##### value: number

  #### Returns XmrAddressEntry

  - Defined in src/protobuf/pb_pb.d.ts:5763

### setContext

- setContext(value: XmrAddressEntry.Context): XmrAddressEntry

- #### Parameters

  - ##### value: XmrAddressEntry.Context

  #### Returns XmrAddressEntry

  - Defined in src/protobuf/pb_pb.d.ts:5760

### setOfferId

- setOfferId(value: string): XmrAddressEntry

- #### Parameters

  - ##### value: string

  #### Returns XmrAddressEntry

  - Defined in src/protobuf/pb_pb.d.ts:5757

### setSubaddressIndex

- setSubaddressIndex(value: number): XmrAddressEntry

- #### Parameters

  - ##### value: number

  #### Returns XmrAddressEntry

  - Defined in src/protobuf/pb_pb.d.ts:5751

### toObject

- toObject(includeInstance?: boolean): XmrAddressEntry.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns XmrAddressEntry.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5766

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): XmrAddressEntry

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns XmrAddressEntry

  - Defined in src/protobuf/pb_pb.d.ts:5769

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: XmrAddressEntry, reader: BinaryReader): XmrAddressEntry

- #### Parameters

  - ##### message: XmrAddressEntry

  - ##### reader: BinaryReader

  #### Returns XmrAddressEntry

  - Defined in src/protobuf/pb_pb.d.ts:5770

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: XmrAddressEntry, writer: BinaryWriter): void

- #### Parameters

  - ##### message: XmrAddressEntry

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5768

### `Static` toObject

- toObject(includeInstance: boolean, msg: XmrAddressEntry): XmrAddressEntry.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: XmrAddressEntry

  #### Returns XmrAddressEntry.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5767

Generated using TypeDoc